--- !ditz.rubyforge.org,2008-03-06/issue 
title: Deleting last cell of notebook sometimes produces warnings
desc: |-
  Start cadabra, add another cell, then immediately alt-delete it: a gtk
  warning is produced and the cursor disappears.
type: :bugfix
component: cadabra
release: "1.18"
reporter: Kasper Peeters <kasper.peeters@aei.mpg.de>
status: :closed
disposition: :fixed
creation_time: 2009-11-16 08:16:47.368237 Z
references: []

id: a2bec73e247cc89c7cfca20ee457e5295de9475e
log_events: 
- - 2009-11-16 08:16:47.975884 Z
  - Kasper Peeters <kasper.peeters@aei.mpg.de>
  - created
  - ""
- - 2010-01-28 13:42:29.255930 Z
  - Kasper Peeters <kasper.peeters@aei.mpg.de>
  - assigned to release 1.18 from 1.17
  - Not quite debugged yet, a few issues remaining.
- - 2010-02-05 23:17:55.325477 Z
  - Kasper Peeters <kasper.peeters@aei.mpg.de>
  - closed with disposition fixed
  - |-
    Also most likely fixes various other redo/undo bugs. Also goes
    along with removing calls to gtk_update_pending which seems to
    be problematic in many respects. Might fix the OS X segfaults.
